Subject: Re: [PATCH v2] convert: clarify line ending conversion warning

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Apr 2022 08:29:23 -0700

Alex Henrie <[email-masked]> writes:

>> Now, the existing message really sucks, we should really should
>> buffering this up somehow and saying "here's the problem with these N
>> files\n<list of N>".
> ...
> Thanks for the extensive feedback. So, there are two problems here:
>
> 1. The current warning is very confusingly worded
>
> 2. The current warning is repetitive if there are a lot of files
>
> For the moment, I'm only trying to address problem #1. Junio asked for
> the file name to be moved to near the beginning of the message and for
> the second sentence to be removed. Tao asked to avoid the verb "check
> out" and said that "touch" was better. What wording would you suggest?

Heh, I do not ask contributors to do anything.  When there is only
one right way to write a code, I may tell them to do exactly that
way, but that is rare.  I only suggest an alternative or two and
have contributors to think themselves.  Ah, I am asking them to
think for themselves in that case, but that does not count ;-)

Anyway.

I do not have a strong opinion between checkout and touch myself.
Switching to "touch" did make it less technically incorrect than
saying "checkout" by making it a bit more vague, which can cut both
ways, but if "touch" can squelch complaints from hair-splitters like
"I did 'git checkout' (no arguments) immediately after I saw the
message but nothing changed", that may be a good change.

Between "we have a problem with long description in 'this file'"
that pushes the most crucial information to the far right in the
output that is necessary to tell where to look for the problem, and
"in 'this file', we have a problem with long description", I would
imagine that readers prefer to see the former, simply because it
lets them spot the pathname easier.  The repetitiveness is an issue
that may need to be addressed separately, and the repetitiveness
might make it look as if repeating the long problem description in
the front part of the message is better by aligning the repetitive
message and by numbing readers' mind, but I do not think that
benefit outweighs the downside of hiding more important information
by pushing it far to the right.

Just my two cents.